MicronautYamlPropertySourceLoader (Grails 6.0.0)

Package: org.grails.core.cfg

## [Groovy] Class MicronautYamlPropertySourceLoader

- org.grails.core.cfg.MicronautYamlPropertySourceLoader

-     @groovy.transform.CompileStatic
      class MicronautYamlPropertySourceLoader
      extends io.micronaut.context.env.yaml.YamlPropertySourceLoader

  Load properties from a YAML file. This class extends the Micronaut default implementation io.micronaut.context.env.yaml.YamlPropertySourceLoader where it adds support for Micronaut beans receive configuration from environments block.

  Authors:
    Puneet Behl
  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class io.micronaut.context.env.yaml.YamlPropertySourceLoader` | `DEFAULT_POSITION, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MicronautYamlPropertySourceLoader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.core.env.MapPropertySource` | `createPropertySource(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> map, int order)`
    `` | `int` | `getOrder()`
    `` | `protected void` | `processMap(java.util.Map<java.lang.String, java.lang.Object> finalMap, java.util.Map map, java.lang.String prefix)` Only process environment specific entries as the other entries are already processed by Micronaut default io.micronaut.context.env.yaml.YamlPropertySourceLoader

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class io.micronaut.context.env.yaml.YamlPropertySourceLoader` | `io.micronaut.context.env.yaml.YamlPropertySourceLoader#getExtensions(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#isEnabled(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#isLogEnabled(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#setLogEnabled(boolean), io.micronaut.context.env.yaml.YamlPropertySourceLoader#getOrder(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#loadEnv(java.lang.String, io.micronaut.core.io.ResourceLoader, io.micronaut.context.env.ActiveEnvironment), io.micronaut.context.env.yaml.YamlPropertySourceLoader#load(java.lang.String, io.micronaut.core.io.ResourceLoader), io.micronaut.context.env.yaml.YamlPropertySourceLoader#read(java.lang.String, java.io.InputStream), io.micronaut.context.env.yaml.YamlPropertySourceLoader#wait(long), io.micronaut.context.env.yaml.YamlPropertySourceLoader#wait(long, int), io.micronaut.context.env.yaml.YamlPropertySourceLoader#wait(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#equals(java.lang.Object), io.micronaut.context.env.yaml.YamlPropertySourceLoader#toString(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#hashCode(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#getClass(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#notify(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#notifyAll(), io.micronaut.context.env.yaml.YamlPropertySourceLoader#load(io.micronaut.context.env.Environment), io.micronaut.context.env.yaml.YamlPropertySourceLoader#read(java.lang.String, [B)`

- - ### Constructor Detail

    - #### MicronautYamlPropertySourceLoader()

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.core.env.MapPropertySource createPropertySource(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> map, int order)

    - #### @java.lang.Override int getOrder()

    - #### @java.lang.Override protected void processMap(java.util.Map<java.lang.String, java.lang.Object> finalMap, java.util.Map map, java.lang.String prefix)

      Only process environment specific entries as the other entries are already processed by Micronaut default io.micronaut.context.env.yaml.YamlPropertySourceLoader

      Parameters:
        `finalMap` - The map with all the properties processed
        `map` - The map to process
        `prefix` - The prefix for the keys